org.hibernate.search.elasticsearch.cfg

## Class ElasticsearchEnvironment.Defaults

- java.lang.Object
- - org.hibernate.search.elasticsearch.cfg.ElasticsearchEnvironment.Defaults

- Enclosing class:
    ElasticsearchEnvironment

      public static final class ElasticsearchEnvironment.Defaults
      extends Object

  Default values for the different settings if no values are given.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DISCOVERY_ENABLED`
    `static int` | `DISCOVERY_REFRESH_INTERVAL`
    `static String` | `DISCOVERY_SCHEME`
    `static DynamicType` | `DYNAMIC_MAPPING`
    `static int` | `INDEX_MANAGEMENT_WAIT_TIMEOUT`
    `static IndexSchemaManagementStrategy` | `INDEX_SCHEMA_MANAGEMENT_STRATEGY`
    `static boolean` | `LOG_JSON_PRETTY_PRINTING`
    `static int` | `MAX_TOTAL_CONNECTION`
    `static int` | `MAX_TOTAL_CONNECTION_PER_ROUTE`
    `static boolean` | `REFRESH_AFTER_WRITE`
    `static ElasticsearchIndexStatus` | `REQUIRED_INDEX_STATUS`
    `static int` | `SCROLL_BACKTRACKING_WINDOW_SIZE`
    `static int` | `SCROLL_FETCH_SIZE`
    `static int` | `SCROLL_TIMEOUT`
    `static int` | `SERVER_CONNECTION_TIMEOUT`
    `static int` | `SERVER_READ_TIMEOUT`
    `static int` | `SERVER_REQUEST_TIMEOUT`
    `static String` | `SERVER_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Defaults()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DYNAMIC_MAPPING

          public static final DynamicType DYNAMIC_MAPPING

    - #### SERVER_URI

          public static final String SERVER_URI

      See Also:
        Constant Field Values

    - #### SERVER_REQUEST_TIMEOUT

          public static final int SERVER_REQUEST_TIMEOUT

      See Also:
        Constant Field Values

    - #### SERVER_READ_TIMEOUT

          public static final int SERVER_READ_TIMEOUT

      See Also:
        Constant Field Values

    - #### SERVER_CONNECTION_TIMEOUT

          public static final int SERVER_CONNECTION_TIMEOUT

      See Also:
        Constant Field Values

    - #### MAX_TOTAL_CONNECTION

          public static final int MAX_TOTAL_CONNECTION

      See Also:
        Constant Field Values

    - #### MAX_TOTAL_CONNECTION_PER_ROUTE

          public static final int MAX_TOTAL_CONNECTION_PER_ROUTE

      See Also:
        Constant Field Values

    - #### DISCOVERY_ENABLED

          public static final boolean DISCOVERY_ENABLED

      See Also:
        Constant Field Values

    - #### DISCOVERY_REFRESH_INTERVAL

          public static final int DISCOVERY_REFRESH_INTERVAL

      See Also:
        Constant Field Values

    - #### DISCOVERY_SCHEME

          public static final String DISCOVERY_SCHEME

      See Also:
        Constant Field Values

    - #### INDEX_SCHEMA_MANAGEMENT_STRATEGY

          public static final IndexSchemaManagementStrategy INDEX_SCHEMA_MANAGEMENT_STRATEGY

    - #### INDEX_MANAGEMENT_WAIT_TIMEOUT

          public static final int INDEX_MANAGEMENT_WAIT_TIMEOUT

      See Also:
        Constant Field Values

    - #### REQUIRED_INDEX_STATUS

          public static final ElasticsearchIndexStatus REQUIRED_INDEX_STATUS

    - #### REFRESH_AFTER_WRITE

          public static final boolean REFRESH_AFTER_WRITE

      See Also:
        Constant Field Values

    - #### SCROLL_BACKTRACKING_WINDOW_SIZE

          public static final int SCROLL_BACKTRACKING_WINDOW_SIZE

      See Also:
        Constant Field Values

    - #### SCROLL_FETCH_SIZE

          public static final int SCROLL_FETCH_SIZE

      See Also:
        Constant Field Values

    - #### SCROLL_TIMEOUT

          public static final int SCROLL_TIMEOUT

      See Also:
        Constant Field Values

    - #### LOG_JSON_PRETTY_PRINTING

          public static final boolean LOG_JSON_PRETTY_PRINTING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Defaults

          public Defaults()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved